#ifndef _BSPL_H
#define _BSPL_H

#include "mex.h"

/**** defines ****/
#define PI									3.14159265f

#define CHUNKSIZE							1024
#define NUMTHREADS_MAX					omp_get_max_threads()
#define TRUE								1
#define FALSE								0
#define NxMAX								2048
#define NyMAX								2048

#define SUB2IND_2D(i, j, M)			((j)*M + (i))
#define MIN(A, B)							(((A)<(B))?(A):(B))
#define MAX(A, B)							(((A)>(B))?(A):(B))

/**** function declarations ****/
void mexFunction(int, mxArray *[], int, const mxArray *[]);
void bspl(double *knots, double *x, int n_knots, int n_x, double *B, double *B1, double *B2, double *B3);

int mxIsVector(const mxArray *x);

#endif
