function [im,info] = load_tif(src_pat, src_dir, frm_idx, cam_idx)
	% load_tif(src_pat, src_dir, src_idx, frm_idx, cam_idx)
	%
	%	load tif file according to specified pattern
	%	
	
	src_file	= sprintf(src_pat, src_dir, frm_idx, cam_idx);
	im			= single(imread(src_file)');
	
	if nargout > 1
		info	= imfinfo(src_file);
	end
end