function pretty_axis_labels(xstr, ystr, titstr, font_size)
	% change a bunch of properties about the current axes
	% to make the plot look much prettier
	

	xlabel(	xstr, ...
				'interpreter', 'latex', ...
				'fontsize',	font_size);
	ylabel(	ystr, ...
				'interpreter', 'latex', ...
				'fontsize', font_size);
	title(	titstr, ...
				'interpreter', 'latex', ...
				'fontsize', font_size);
	set(	gca, ...
			'linewidth',	1, ...
			'fontsize',	font_size);	
end