function hquiv = quiver3sc(x, y, z, u, v, w, scale, varargin)
	% draw quiver plot with sensibly scaled arrows
	% quiversc(x,y,u,v,scale,varargin)
	hquiv		= quiver3(x, y, z, u, v, w, scale, varargin{:});
	set(hquiv, 'Autoscale', 'off');
	set(hquiv, 'UData', scale * get(hquiv, 'UData'));
	set(hquiv, 'VData', scale * get(hquiv, 'VData'));
	set(hquiv, 'WData', scale * get(hquiv, 'WData'));
end