%% test laplacian matrix operator
Nx						= 64;
Ny						= 64;
Nz						= 64;
x						= 1 : Nx;
y						= 1 : Ny;
z						= 1 : Nz;


[xmat,ymat,zmat] = ndgrid(x, y, z);
phi					= xmat.^2 + ymat.^2 + zmat.^2;

DEL					= laplacian_matrix(x,y,z,1,1);

%% plot

delphi				= DEL * phi(:);
delphi				= reshape(delphi, [Nx Ny Nz]);
disp([mean(delphi(:)) std(delphi(:))]);