radius_range	= [30 65];

%% find centers with MATLAB
im				= imread('circlesBrightDark.png');
tic;
[centersBright, radiiBright]= imfindcircles(im, radius_range, ...
								'ObjectPolarity','bright');
toc;

%% find centers with openCV
edge_threshold	= 30;
vote_threshold  = 30;
tic;
[ctr, radius]	= find_circles_ocv(uint8(im), radius_range, radius_range(1)/2, ...
						edge_threshold, vote_threshold); 
toc;
%% plot
figure(1);
clf;
imagesc(im);
axis equal tight ij;
colormap gray;
viscircles(centersBright, radiiBright, 'color', 'b');
viscircles(ctr', radius', 'color', 'r');