function [im,info] = load_mtif(src_pat, src_dir, src_idx, frm_idx, cam_idx)
	% load_mtif(src_pat, src_dir, src_idx, frm_idx, cam_idx)
	%
	%	load multipage tif file according to specified pattern
	%	
	
	src_file	= sprintf(src_pat, src_dir, src_idx, cam_idx);
	im			= single(imread(src_file, frm_idx)');
	
	if nargout > 1
		info	= imfinfo(src_file);
	end
end