function hquiv = quiversc(x, y, u, v, scale, varargin)
	% draw quiver plot with sensibly scaled arrows
	% quiversc(x,y,u,v,scale,varargin)
	hquiv		= quiver(x, y, u, v, scale, varargin{:});
	set(hquiv, 'Autoscale', 'off');
	set(hquiv, 'UData', scale * get(hquiv, 'UData'));
	set(hquiv, 'VData', scale * get(hquiv, 'VData'));
end