#ifndef INTERP3LIN_H
#define INTERP3LIN_H
#include "mex.h"
/* function prototypes */
unsigned interp3lin_affine(const float *F , int *N, const float *x , const float *y , const float *z , 
  									  float *FI, mxLogical *bad, int Ni, const float *xi, const float *yi, const float *zi, 
									  const float *A, const float *b);
int compare_float_ptr_descend(const void *a, const void *b);
int compare_float_ptr_ascend(const void *a, const void *b);
int compare_float_ptr_abs_descend(const void *a, const void *b);
int compare_float_ptr_abs_ascend(const void *a, const void *b);

#endif