function [imat,jmat] = p2d_dewarp(P2D, x_axis, y_axis)
	Nx						= length(x_axis);
	Ny						= length(y_axis);
	[xmat, ymat]		= ndgrid(x_axis, y_axis);
	xy						= [xmat(:), ymat(:)]';
	ij						= p2d_map_obj2im(P2D, xy);
	imat					= reshape(ij(1,:), [Nx Ny]);
	jmat					= reshape(ij(2,:), [Nx Ny]);
end