%% reconstructed paths
function bl_plot(pat, spill)
    fprintf("go\n");
    if spill
        fs = load(strjoin(['/Volumes/home/test/calib/' pat '/clean/tracks/z001_t001.mat'], "")).tracks;
    else
        fs = load(strjoin(['/Volumes/home/test/calib/' pat '/tracks/z001_t001.mat'], "")).tracks;
    end
    U = [fs.u];
    X = [fs.x];
    
    slice = (10 < X(1,:) & X(1,:) < 50);
    
    x = X(:,slice);
    u = U(:,slice);
    
    scatter(x(2,:), u(1,:))
    ylabel("$x$ velocity ($mm\ s^{-1}$)", "Interpreter", "latex")
    xlabel("$y$ position ($mm$)", "Interpreter", "latex")

% %% jhu paths
% fs=load('/Volumes/home/array/tcf/rescaled/z001_t001.mat');
% 
% U = [fs.u];
% X = [fs.x];
% u_norm = sqrt(sum(U.^2,1));
% 
% slice = (10 < X(1,:) & X(1,:) < 310);
% 
% x = X(:,slice);
% u = U(:,slice);
% 
% hold on;
% scatter(x(2,:), u(1,:))
% hold off;
% legend("reconstruced", "from database")