function save(obj, trk_file)
	% save(trk_file)
	%
	% save tracks to .mat file
	%
	% Output file contains
	% opts			tracking options
	% setup			calibration
	% setup_file	path to calibration file
	% tracks		structure array containing particle tracks

	res			= struct();
	res.opts	= obj.opts;
	res.setup   = obj.setup;
	res.tracks  = obj.trim(obj.tracks);

	save(trk_file, '-struct', 'res');
end